/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2011, Red Hat, Inc., and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.as.test.integration.ejb.entity.cmp.commerce;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.as.test.integration.ejb.entity.cmp.AbstractCmpTest;
import org.jboss.as.test.integration.ejb.entity.cmp.CmpTestRunner;
import org.jboss.shrinkwrap.api.Archive;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;

import static org.junit.Assert.fail;

@RunWith(CmpTestRunner.class)
public class TxTesterTestCase extends AbstractCmpTest {

    @Deployment
    public static Archive<?> deploy() {
        JavaArchive jar = ShrinkWrap.create(JavaArchive.class, "cmp-commerce.jar");
        jar.addPackage(TxTesterTestCase.class.getPackage());
        jar.addAsManifestResource(TxTesterTestCase.class.getPackage(), "ejb-jar.xml", "ejb-jar.xml");
        jar.addAsManifestResource(TxTesterTestCase.class.getPackage(), "jbosscmp-jdbc.xml", "jbosscmp-jdbc.xml");
        AbstractCmpTest.addDeploymentAssets(jar);
        return jar;
    }

    private TxTester txTester;

    /**
     * Looks up all of the home interfaces and creates the initial data.
     * Looking up objects in JNDI is expensive, so it should be done once
     * and cached.
     *
     * @throws Exception if a problem occures while finding the home interfaces,
     *                   or if an problem occures while createing the initial data
     */
    @Before
    public void setUp() throws Exception {
        txTester = (TxTester) iniCtx.lookup("java:module/TxTesterBean!org.jboss.as.test.integration.ejb.entity.cmp.commerce.TxTester");
    }

    @Test
    public void testTxTester_none() throws Exception {
        try {
            boolean result = txTester.accessCMRCollectionWithoutTx();
            if (!result)
                fail("Expected accessCMRCollectionWithoutTx to throw an exception");
        } finally {
            if (txTester != null) {
                //txTester.remove();
            }
        }
    }
}
