/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2011, Red Hat, Inc., and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jboss.as.test.integration.naming.local.simple;

import javax.ejb.Stateless;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import static org.junit.Assert.assertNotNull;

/**
 * @author John Bailey
 */
@Stateless
public class BeanWithBind {
    public void doBind() {
        try {
            final Context context = new InitialContext();
            context.bind("java:jboss/test", "Test");
            context.bind("java:comp/test", "Test");
            context.bind("java:/test", "Test");
        } catch (NamingException e) {
            throw new RuntimeException(e);
        }
    }

    public void checkBind() {
        try {
            final Context context = new InitialContext();
            assertNotNull(context.lookup("java:comp/test"));
        } catch (NamingException e) {
            throw new RuntimeException(e);
        }
    }
}
